/*
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 */

package quests.java;

import com.l2jcore.Game.model.actor.instance.L2NpcInstance;
import com.l2jcore.Game.model.actor.instance.L2PcInstance;
import com.l2jcore.Game.model.quest.Quest;
import com.l2jcore.Game.model.quest.QuestState;
import com.l2jcore.Game.model.quest.State;

public class q17_LightAndDarkness extends Quest
{
	private State CREATED;
	private State STARTED;
	private State COMPLETED;

	public q17_LightAndDarkness(int questId, String name, String descr)
	{
		super(questId, name, descr);
		CREATED = new State("Start", this);
		STARTED = new State("Started", this);
		COMPLETED = new State("Completed", this);
		this.setInitialState(CREATED);
		
		addStartNpc(31517);
		addTalkId(31517);
		addTalkId(31508);
		addTalkId(31509);
		addTalkId(31510);
		addTalkId(31511);
	}

	public String onEvent(String event, QuestState st)
	{
		if(event.equals("31517-02.htm"))
		{
			st.setState(STARTED);
			st.set("cond", "1");
			st.giveItems(7168, 4);
			st.playSound("ItemSound.quest_accept");
		}
		else if(event.equals("31508-02.htm"))
		{
			st.takeItems(7168, 1);
			st.set("cond", "2");
			st.playSound("ItemSound.quest_middle");
		}
		else if(event.equals("31509-02.htm"))
		{
			st.takeItems(7168, 1);
			st.set("cond", "3");
			st.playSound("ItemSound.quest_middle");
		}
		else if(event.equals("31510-02.htm"))
		{
			st.takeItems(7168, 1);
			st.set("cond", "4");
			st.playSound("ItemSound.quest_middle");
		}
		else if(event.equals("31511-02.htm"))
		{
			st.takeItems(7168, 1);
			st.set("cond", "5");
			st.playSound("ItemSound.quest_middle");
		}
		return event;
	}

	public String onTalk(L2NpcInstance npc, L2PcInstance talker)
	{
		QuestState st = talker.getQuestState(getName());
		String htmltext = "<html><body>You are either not on a quest that involves this NPC, or you don't meet this NPC's minimum quest requirements.</body></html>";
		
		if( st.getState() == COMPLETED)
		{
			htmltext = "<html><body>This quest has already been completed.</body></html>";
			return htmltext;
		}
		
		if(st == null) return htmltext;
		int npcId = npc.getNpcId();
		int cond = st.getInt("cond");
		if(npcId == 31517)
		{
			if(cond == 0)
				if(st.getPlayer().getLevel() >= 61)
					htmltext = "31517-01.htm";
				else
				{
					htmltext = "31517-00.htm";
					st.exitQuest(true);
				}
			else if(cond > 0 && cond < 5 && st.getQuestItemsCount(7168) > 0)
				htmltext = "31517-02r.htm";
			else if(cond > 0 && cond < 5 && st.getQuestItemsCount(7168) == 0)
			{
				htmltext = "31517-proeb.htm";
				st.set("cond", "0");
				st.exitQuest(false);
			}
			else if(cond == 5 && st.getQuestItemsCount(7168) == 0)
			{
				htmltext = "31517-03.htm";
				st.addExpAndSp(105527, 0);
				st.set("cond", "0");
				st.playSound("ItemSound.quest_finish");
				st.exitQuest(false);
			}
		}
		else if(npcId == 31508)
		{
			if(cond == 1)
				if(st.getQuestItemsCount(7168) != 0)
					htmltext = "31508-01.htm";
				else
					htmltext = "31508-03.htm";
			else if(cond == 2)
				htmltext = "31508-04.htm";
		}
		else if(npcId == 31509)
		{
			if(cond == 2)
				if(st.getQuestItemsCount(7168) != 0)
					htmltext = "31509-01.htm";
				else
					htmltext = "31509-03.htm";
			else if(cond == 3)
				htmltext = "31509-04.htm";
		}
		else if(npcId == 31510)
		{
			if(cond == 3)
				if(st.getQuestItemsCount(7168) != 0)
					htmltext = "31510-01.htm";
				else
					htmltext = "31510-03.htm";
			else if(cond == 4)
				htmltext = "31510-04.htm";
		}
		else if(npcId == 31511)
			if(cond == 4)
				if(st.getQuestItemsCount(7168) != 0)
					htmltext = "31511-01.htm";
				else
					htmltext = "31511-03.htm";
			else if(cond == 5)
				htmltext = "31511-04.htm";
		return htmltext;
	}
	
	public static void main(String[] args)
	{
		_log.info("17_LightAndDarkness:     load");
		new q17_LightAndDarkness(17, "17_LightAndDarkness", "Light And Darkness");    	
	}
}
